libzypp 17.38.15

Map.h File Reference
`#include <iosfwd>`
`#include <string>`
`#include <zypp-core/base/PtrTypes.h>`
`#include <zypp/sat/detail/PoolMember.h>`

Go to the source code of this file.

## Classes
class | zypp::sat::Map
| Libsolv (bit)Map wrapper. More...
struct | zypp::sat::Map::PoolSizeType
| Type to indicate the bitmap should match the current pools capacity. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::sat
| Libsolv interface

## Functions
std::ostream & | zypp::sat::operator<< (std::ostream &str, const Map &obj)
| relates: Map Stream output
bool | zypp::sat::operator== (const Map &lhs, const Map &rhs) ZYPP_API
| relates: Map
bool | zypp::sat::operator!= (const Map &lhs, const Map &rhs)
| relates: Map
template<>
sat::detail::CMap * | zypp::rwcowClone< sat::detail::CMap > (const sat::detail::CMap *rhs)
| relates: Map Clone function for RWCOW_pointer